summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMike Gilbert <floppym@gentoo.org>2012-09-27 15:41:56 +0000
committerMike Gilbert <floppym@gentoo.org>2012-09-27 15:41:56 +0000
commit8d42407be0d76f213695d068b803ea3d9266beed (patch)
tree4ea33721c6a29477d96f66b854a3133bdb7fd9c8 /eclass
parentAdd support for SCTP performance tests by K. Sanborn (bug #436398). (diff)
downloadgentoo-2-8d42407be0d76f213695d068b803ea3d9266beed.tar.gz
gentoo-2-8d42407be0d76f213695d068b803ea3d9266beed.tar.bz2
gentoo-2-8d42407be0d76f213695d068b803ea3d9266beed.zip
Allow usage of EAPI 5.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog5
-rw-r--r--eclass/python.eclass18
2 files changed, 8 insertions, 15 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index ad5269072664..cfe6ab889b94 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for eclass directory
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.412 2012/09/27 10:42:17 tetromino Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.413 2012/09/27 15:41:56 floppym Exp $
+
+ 27 Sep 2012; Mike Gilbert <floppym@gentoo.org> python.eclass:
+ Allow usage of EAPI 5.
27 Sep 2012; Alexandre Rostovtsev <tetromino@gentoo.org> clutter.eclass:
Default clutter license is LGPL-2.1 or later.
diff --git a/eclass/python.eclass b/eclass/python.eclass
index 776f11dcf6a1..838aff875545 100644
--- a/eclass/python.eclass
+++ b/eclass/python.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python.eclass,v 1.157 2012/08/16 23:57:32 floppym Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python.eclass,v 1.158 2012/09/27 15:41:56 floppym Exp $
# @ECLASS: python.eclass
# @MAINTAINER:
@@ -23,7 +23,7 @@ fi
if [[ -z "${_PYTHON_ECLASS_INHERITED}" ]]; then
_PYTHON_ECLASS_INHERITED="1"
-if ! has "${EAPI:-0}" 0 1 2 3 4; then
+if ! has "${EAPI:-0}" 0 1 2 3 4 5; then
die "API of python.eclass in EAPI=\"${EAPI}\" not established"
fi
@@ -113,15 +113,7 @@ _python_implementation() {
}
_python_package_supporting_installation_for_multiple_python_abis() {
- if has "${EAPI:-0}" 0 1 2 3 4; then
- if [[ -n "${SUPPORT_PYTHON_ABIS}" ]]; then
- return 0
- else
- return 1
- fi
- else
- die "${FUNCNAME}(): Support for EAPI=\"${EAPI}\" not implemented"
- fi
+ [[ -n "${SUPPORT_PYTHON_ABIS}" ]]
}
# @ECLASS-VARIABLE: PYTHON_DEPEND
@@ -752,9 +744,7 @@ if ! has "${EAPI:-0}" 0 1; then
fi
fi
-if has "${EAPI:-0}" 0 1 2 3 4; then
- unset PYTHON_ABIS
-fi
+unset PYTHON_ABIS
_python_calculate_PYTHON_ABIS() {
if ! _python_package_supporting_installation_for_multiple_python_abis; then